"use strict";(self.webpackChunkwaveterm_docs=self.webpackChunkwaveterm_docs||[]).push([[916],{6340:(e,s,n)=>{n.r(s),n.d(s,{assets:()=>d,contentTitle:()=>c,default:()=>x,frontMatter:()=>o,metadata:()=>i,toc:()=>h});const i=JSON.parse('{"id":"gettingstarted","title":"Getting Started","description":"Wave Terminal is a modern terminal that includes graphical capabilities like web browsing, file previews, and AI assistance alongside traditional terminal features. This guide will help you get started.","source":"@site/docs/gettingstarted.mdx","sourceDirName":".","slug":"/gettingstarted","permalink":"/docsite/gettingstarted","draft":false,"unlisted":false,"tags":[],"version":"current","sidebarPosition":1,"frontMatter":{"sidebar_position":1,"id":"gettingstarted","title":"Getting Started"},"sidebar":"defaultSidebar","previous":{"title":"Home","permalink":"/docsite/"},"next":{"title":"Key Bindings","permalink":"/docsite/keybindings"}}');var r=n(2540),l=n(3023),t=n(1341),a=n(7982);const o={sidebar_position:1,id:"gettingstarted",title:"Getting Started"},c=void 0,d={},h=[{value:"Installation",id:"installation",level:2},{value:"Platform requirements",id:"platform-requirements",level:3},{value:"Package managers",id:"package-managers",level:3},{value:"Homebrew",id:"homebrew",level:4},{value:"Windows Package Manager",id:"windows-package-manager",level:4},{value:"Chocolatey",id:"chocolatey",level:4},{value:"Snap",id:"snap",level:4},{value:"Core Concepts",id:"core-concepts",level:2},{value:"Tabs and Blocks",id:"tabs-and-blocks",level:3},{value:"Key Features",id:"key-features",level:3},{value:"Quick Start Guide",id:"quick-start-guide",level:2},{value:"Next Steps",id:"next-steps",level:2},{value:"Getting Help",id:"getting-help",level:2}];function u(e){const s={a:"a",admonition:"admonition",code:"code",h2:"h2",h3:"h3",h4:"h4",li:"li",ol:"ol",p:"p",pre:"pre",strong:"strong",ul:"ul",...(0,l.R)(),...e.components};return(0,r.jsxs)(r.Fragment,{children:[(0,r.jsx)(s.p,{children:"Wave Terminal is a modern terminal that includes graphical capabilities like web browsing, file previews, and AI assistance alongside traditional terminal features. This guide will help you get started."}),"\n",(0,r.jsx)(s.h2,{id:"installation",children:"Installation"}),"\n",(0,r.jsxs)(t.V9,{children:[(0,r.jsx)(t.FX,{}),(0,r.jsx)(s.h3,{id:"platform-requirements",children:"Platform requirements"}),(0,r.jsx)(t.ZC,{platforms:["mac"],children:(0,r.jsxs)(s.ul,{children:["\n",(0,r.jsx)(s.li,{children:"Supported architectures: Apple Silicon, x64"}),"\n",(0,r.jsx)(s.li,{children:"Supported OS version: macOS 11 Big Sur or later"}),"\n"]})}),(0,r.jsxs)(t.ZC,{platforms:["windows"],children:[(0,r.jsxs)(s.ul,{children:["\n",(0,r.jsx)(s.li,{children:"Supported architectures: x64"}),"\n",(0,r.jsx)(s.li,{children:"Supported OS version: Windows 10 1809 or later, Windows 11"}),"\n"]}),(0,r.jsx)(s.admonition,{type:"note",children:(0,r.jsxs)(s.p,{children:["ARM64 is planned, but is currently blocked by upstream dependencies (see ",(0,r.jsx)(s.a,{href:"https://github.com/wavetermdev/waveterm/issues/928",children:"Windows ARM Support"}),")."]})})]}),(0,r.jsx)(t.ZC,{platforms:["linux"],children:(0,r.jsxs)(s.ul,{children:["\n",(0,r.jsx)(s.li,{children:"Supported architectures: x64, ARM64"}),"\n",(0,r.jsx)(s.li,{children:"Supported OS version: must have glibc-2.28 or later (Debian >=10, RHEL >=8, Ubuntu >=20.04, etc.)"}),"\n"]})}),(0,r.jsx)(s.h3,{id:"package-managers",children:"Package managers"}),(0,r.jsxs)(t.ZC,{platforms:["mac"],children:[(0,r.jsx)(s.h4,{id:"homebrew",children:"Homebrew"}),(0,r.jsx)(s.pre,{children:(0,r.jsx)(s.code,{className:"language-bash",children:"brew install --cask wave\n"})})]}),(0,r.jsxs)(t.ZC,{platforms:["windows"],children:[(0,r.jsx)(s.h4,{id:"windows-package-manager",children:"Windows Package Manager"}),(0,r.jsx)(s.pre,{children:(0,r.jsx)(s.code,{className:"language-powershell",children:"winget install CommandLine.Wave\n"})}),(0,r.jsx)(s.h4,{id:"chocolatey",children:"Chocolatey"}),(0,r.jsx)(s.pre,{children:(0,r.jsx)(s.code,{className:"language-powershell",children:"choco install wave\n"})})]}),(0,r.jsxs)(t.ZC,{platforms:["linux"],children:[(0,r.jsx)(s.h4,{id:"snap",children:"Snap"}),(0,r.jsx)(s.pre,{children:(0,r.jsx)(s.code,{className:"language-bash",children:"sudo snap install --classic waveterm\n"})}),(0,r.jsxs)(s.p,{children:["Other options available: ",(0,r.jsx)(s.a,{href:"https://aur.archlinux.org/packages/waveterm",children:"AUR package"})," (community maintained), ",(0,r.jsx)(s.a,{href:"https://search.nixos.org/packages?channel=unstable&show=waveterm",children:"Nix package"})," (community maintained)"]})]}),(0,r.jsxs)(s.p,{children:["You can also download installers directly from our ",(0,r.jsx)(s.a,{href:"https://www.waveterm.dev/download",children:"Downloads page"}),"."]}),(0,r.jsx)(s.h2,{id:"core-concepts",children:"Core Concepts"}),(0,r.jsx)(s.h3,{id:"tabs-and-blocks",children:"Tabs and Blocks"}),(0,r.jsxs)(s.ul,{children:["\n",(0,r.jsxs)(s.li,{children:[(0,r.jsx)(s.strong,{children:"Tabs"}),": Like browser tabs, these help organize your work. Create new tabs with ",(0,r.jsx)(a.u,{k:"Cmd:t"}),"."]}),"\n",(0,r.jsxs)(s.li,{children:[(0,r.jsx)(s.strong,{children:"Blocks"}),": The building blocks of Wave. Each block can be a terminal, web browser, file preview, AI chat, or other widget."]}),"\n",(0,r.jsxs)(s.li,{children:[(0,r.jsx)(s.strong,{children:"Layout"}),": Blocks can be dragged, dropped, and resized to create your ideal layout."]}),"\n"]}),(0,r.jsx)(s.h3,{id:"key-features",children:"Key Features"}),(0,r.jsxs)(s.ol,{children:["\n",(0,r.jsxs)(s.li,{children:["\n",(0,r.jsx)(s.p,{children:(0,r.jsx)(s.strong,{children:"Terminal Features"})}),"\n",(0,r.jsxs)(s.ul,{children:["\n",(0,r.jsx)(s.li,{children:"Works with common shells (bash, zsh, fish)"}),"\n",(0,r.jsx)(s.li,{children:"Supports standard terminal features (readline, control sequences, etc)"}),"\n",(0,r.jsxs)(s.li,{children:["Includes the ",(0,r.jsx)(s.code,{children:"wsh"})," command for interacting with Wave's GUI features"]}),"\n",(0,r.jsx)(s.li,{children:"GPU accelerated (on most platforms)"}),"\n"]}),"\n"]}),"\n",(0,r.jsxs)(s.li,{children:["\n",(0,r.jsx)(s.p,{children:(0,r.jsx)(s.strong,{children:"Graphical Widgets"})}),"\n",(0,r.jsxs)(s.ul,{children:["\n",(0,r.jsx)(s.li,{children:"Preview files (images, video, markdown, code with syntax highlighting)"}),"\n",(0,r.jsx)(s.li,{children:"Browse web pages"}),"\n",(0,r.jsx)(s.li,{children:"Ask questions and get AI help directly from the terminal (set up multiple AI models)"}),"\n",(0,r.jsx)(s.li,{children:"Basic system monitoring graphs"}),"\n"]}),"\n"]}),"\n",(0,r.jsxs)(s.li,{children:["\n",(0,r.jsx)(s.p,{children:(0,r.jsx)(s.strong,{children:"Remote Connections"})}),"\n",(0,r.jsxs)(s.ul,{children:["\n",(0,r.jsxs)(s.li,{children:["Easy SSH connections with the connection button ",(0,r.jsx)("i",{className:"fa-sharp fa-laptop"})]}),"\n",(0,r.jsx)(s.li,{children:"WSL integration on Windows"}),"\n",(0,r.jsx)(s.li,{children:"Consistent experience across local and remote sessions"}),"\n"]}),"\n"]}),"\n"]}),(0,r.jsx)(s.h2,{id:"quick-start-guide",children:"Quick Start Guide"}),(0,r.jsxs)(s.ol,{children:["\n",(0,r.jsxs)(s.li,{children:["\n",(0,r.jsx)(s.p,{children:(0,r.jsx)(s.strong,{children:"Open Your First New Tab"})}),"\n",(0,r.jsxs)(s.ul,{children:["\n",(0,r.jsx)(s.li,{children:"New Wave tabs start with a single terminal block"}),"\n",(0,r.jsx)(s.li,{children:"Use it just like your regular terminal"}),"\n",(0,r.jsxs)(s.li,{children:["Create additional terminal blocks with ",(0,r.jsx)(a.u,{k:"Cmd:n"})]}),"\n"]}),"\n"]}),"\n",(0,r.jsxs)(s.li,{children:["\n",(0,r.jsx)(s.p,{children:(0,r.jsx)(s.strong,{children:"Try Some Basic Commands"})}),"\n",(0,r.jsx)(s.pre,{children:(0,r.jsx)(s.code,{className:"language-bash",children:'# View a file or directory\nwsh view ~/Documents\n\n# Open a webpage\nwsh web open github.com\n\n# Get AI assistance\nwsh ai "how do I find large files in my current directory?"\n'})}),"\n"]}),"\n",(0,r.jsxs)(s.li,{children:["\n",(0,r.jsx)(s.p,{children:(0,r.jsx)(s.strong,{children:"Customize Your Layout"})}),"\n",(0,r.jsxs)(s.ul,{children:["\n",(0,r.jsx)(s.li,{children:"Drag block headers to rearrange them"}),"\n",(0,r.jsx)(s.li,{children:"Hover between blocks to resize them"}),"\n",(0,r.jsx)(s.li,{children:"Right-click tab headers for background options"}),"\n",(0,r.jsx)(s.li,{children:"Right-click block headers for block-specific options"}),"\n"]}),"\n"]}),"\n",(0,r.jsxs)(s.li,{children:["\n",(0,r.jsx)(s.p,{children:(0,r.jsx)(s.strong,{children:"Connect to Remote Machines"})}),"\n",(0,r.jsxs)(s.ul,{children:["\n",(0,r.jsxs)(s.li,{children:["Click the ",(0,r.jsx)("i",{className:"fa-sharp fa-laptop"})," button"]}),"\n",(0,r.jsxs)(s.li,{children:["Enter ",(0,r.jsx)(s.code,{children:"username@hostname"})," for SSH connections"]}),"\n",(0,r.jsx)(s.li,{children:"Or select a WSL distribution on Windows"}),"\n"]}),"\n"]}),"\n"]}),(0,r.jsx)(s.h2,{id:"next-steps",children:"Next Steps"}),(0,r.jsxs)(s.ul,{children:["\n",(0,r.jsxs)(s.li,{children:["Explore ",(0,r.jsx)(s.a,{href:"./keybindings",children:"Key Bindings"})," to work more efficiently"]}),"\n",(0,r.jsxs)(s.li,{children:["Learn about ",(0,r.jsx)(s.a,{href:"./layout",children:"Tab Layouts"})," to organize your workspace"]}),"\n",(0,r.jsxs)(s.li,{children:["Set up ",(0,r.jsx)(s.a,{href:"./customwidgets",children:"Custom Widgets"})," for quick access to your tools"]}),"\n",(0,r.jsxs)(s.li,{children:["Configure ",(0,r.jsx)(s.a,{href:"./ai-presets",children:"AI Presets"})," to use your preferred AI models"]}),"\n",(0,r.jsxs)(s.li,{children:["Check out ",(0,r.jsx)(s.a,{href:"./config",children:"Configuration"})," for detailed customization options"]}),"\n"]}),(0,r.jsx)(s.h2,{id:"getting-help",children:"Getting Help"}),(0,r.jsxs)(s.ul,{children:["\n",(0,r.jsxs)(s.li,{children:["Join our ",(0,r.jsx)(s.a,{href:"https://discord.gg/XfvZ334gwU",children:"Discord community"})," for help and discussions"]}),"\n",(0,r.jsxs)(s.li,{children:["Report issues on ",(0,r.jsx)(s.a,{href:"https://github.com/wavetermdev/waveterm/issues",children:"GitHub"})]}),"\n",(0,r.jsxs)(s.li,{children:["Check our ",(0,r.jsx)(s.a,{href:"./faq",children:"FAQ"})," for common questions"]}),"\n"]})]})]})}function x(e={}){const{wrapper:s}={...(0,l.R)(),...e.components};return s?(0,r.jsx)(s,{...e,children:(0,r.jsx)(u,{...e})}):u(e)}},7982:(e,s,n)=>{n.d(s,{u:()=>o});var i=n(7773),r=n(3696),l=n(1341),t=n(2540);const a=e=>{let{k:s}=e;const{platform:n}=(0,r.useContext)(l.rP),i=s.split(":").map(((e,s)=>{const[i,r,l]=function(e,s){return"Arrows"==s?[(0,t.jsx)("span",{className:"spaced",children:"\u2191\u2192\u2193\u2190"}),"Arrow Keys",!0]:"ArrowUp"==s?["\u2191","Arrow Up",!0]:"ArrowRight"==s?["\u2192","Arrow Right",!0]:"ArrowDown"==s?["\u2193","Arrow Down",!0]:"ArrowLeft"==s?["\u2190","Arrow Left",!0]:"Cmd"==s?"mac"===e?["\u2318","Command",!0]:["Alt","Alt",!1]:"Ctrl"==s?"mac"===e?["\u2303","Control",!0]:["Ctrl","Control",!1]:"Shift"==s?["\u21e7","Shift",!0]:"Escape"==s?["Esc","Escape",!1]:[s.length>1?s:s.toUpperCase(),s,!1]}(n,e);return(0,t.jsx)("kbd",{title:r,"aria-label":r,className:l?"symbol":null,children:i},s)}));return(0,t.jsx)("div",{className:"kbd-group",children:i})},o=e=>{let{k:s}=e;return(0,t.jsx)(i.A,{fallback:(0,t.jsx)("kbd",{children:s}),children:()=>(0,t.jsx)(a,{k:s})})}},1341:(e,s,n)=>{n.d(s,{FX:()=>x,V9:()=>d,ZC:()=>m,rP:()=>o});var i=n(7773),r=n(3696),l=n(7980),t=n(1750),a=n(2540);const o=(0,r.createContext)(void 0),c=e=>{let{children:s}=e;const[n,i]=(0,r.useState)((()=>{const e=localStorage.getItem("platform");if(e)return e;const{os:s}=(0,l.O)(navigator.userAgent);return/Windows/.test(s.name)?"windows":/Mac OS|iOS/.test(s.name)?"mac":"linux"})()),t=(0,r.useCallback)((e=>{i(e),localStorage.setItem("platform",e)}),[]);return(0,a.jsx)(o.Provider,{value:{platform:n,setPlatform:t},children:s})},d=e=>{let{children:s}=e;return(0,a.jsx)(i.A,{fallback:(0,a.jsx)("div",{}),children:()=>(0,a.jsx)(c,{children:s})})},h=()=>{const e=(0,r.useContext)(o);if(!e)throw new Error("usePlatform must be used within a PlatformProvider");return e},u=()=>{const{platform:e,setPlatform:s}=h();return(0,a.jsxs)("div",{className:"pill-toggle",children:[(0,a.jsx)("button",{className:(0,t.A)("pill-option",{active:"mac"===e}),onClick:()=>s("mac"),children:"macOS"}),(0,a.jsx)("button",{className:(0,t.A)("pill-option",{active:"linux"===e}),onClick:()=>s("linux"),children:"Linux"}),(0,a.jsx)("button",{className:(0,t.A)("pill-option",{active:"windows"===e}),onClick:()=>s("windows"),children:"Windows"})]})},x=()=>(0,a.jsx)(i.A,{fallback:(0,a.jsx)("div",{}),children:()=>(0,a.jsx)(u,{})}),p=e=>{let{children:s,platforms:n}=e;const i=h();return n.includes(i.platform)&&s},m=e=>(0,a.jsx)(i.A,{fallback:(0,a.jsx)("div",{}),children:()=>(0,a.jsx)(p,{...e})})}}]);